/*
 * @Author: XianKaiQun
 * @Date: 2020-07-29 09:45:01
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-19 16:28:12
 * @Description: 
 */
part of '../index.dart';

class _MaintainComponent extends StatelessWidget {
  const _MaintainComponent({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
// final  store = Provider.of<_Store>(context, listen: false);
    final style = WTheme.of(context);
    final colorScheme = style.colorScheme;
    // final theme = Theme.of(context);
    // final textTheme = theme.textTheme;
    return ColoredBox(
      color: Colors.white,
      child: WisScrollView(
        slivers: <Widget>[
          SliverToBoxAdapter(
            child: AspectRatio(
              aspectRatio: 1,
              child: Wisdom.column(
                alignment: Alignment.center,
                mainAxisAlignment: MainAxisAlignment.center,
                children: <Widget>[
                  Wisdom(
                    onTap: () => Route2business.scan2page(
                      context: context,
                      scene: ScanScene.service,
                    ),
                    borderRadius: BorderRadius.circular(56.pt),
                    child: Image.asset(
                      'lib/assets/qrscan.png',
                      width: 112.pt,
                      height: 112.pt,
                      package: 'qrcode_package',
                    ),
                  ),
                  SizedBox(height: 22.pt),
                  Text(
                    '扫描设备二维码',
                    style: TextStyle(color: colorScheme.minor),
                  ),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
